# Method CompilerEnvironment()->PikeCompiler()->pop_type_attribute()

Method pop_type_attribute

  `bool pop_type_attribute(string attribute, type a, type b)`

Description

  Type attribute handler.

  Called during type checking when `a <= b` and a had the type attribute attribute before the comparison.

  The default implementation implements the "deprecated" attribute.

Returns

  Returns `1` if the type check should be allowed (ie `__attribute__(attribute, a) <= b`), and `0` (zero) otherwise.

See also

  push_type_attribute()